<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="10dp"
    tools:context=".MainActivity">

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="5dp"
        android:text="Please enter IP and Port Number first."
        android:textColor="@color/colorPrimary"
        android:textSize="16sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="10dp"
            android:text="IP Address：" />

        <EditText
            android:id="@+id/ipaddress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="192.168.66.137" />
<!--            android:text="192.168.66.137" />-->
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginRight="10dp"
            android:text="Port Number：" />

        <EditText
            android:id="@+id/port"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="number"
            android:text="9100" />
    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">
            <Button
                android:id="@+id/connect"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Connect" />

<!--            <Button-->
<!--                android:id="@+id/disconnect"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_weight="1"-->
<!--                android:text="Disconnect " />-->
        </LinearLayout>
            <Button
                android:id="@+id/setup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Printer Setup" />

            <Button
                android:id="@+id/print_font_cn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Print Simplified Chinese Font 24*24" />

            <Button
                android:visibility="gone"
                android:id="@+id/print_font_tw"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Print Traditional Chinese Font 24*24" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <Button
                android:id="@+id/print_barcode"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:text="Print Barcode" />

            <Button
                android:id="@+id/print_bmp"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:text="Print Bmp" />
        </LinearLayout>
            <Button
                android:id="@+id/print_monochrome_bmp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Print monochrome BMP" />
            <Button
                android:id="@+id/calibration_rfid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="RFID Calibration" />
            <Button
                android:id="@+id/print_qrcode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Print QRcode" />
            <Button
                android:id="@+id/othersettings"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Other Settings" />
            <Button
                android:id="@+id/wifi_frequency"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Wifi Frequency" />
            <Button
                android:id="@+id/setup_rfid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="rfid setup" />
            <Button
                android:id="@+id/print_bmp_new"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="print bmp" />
            <Button
                android:id="@+id/print_bmp_compress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="print compress bitmap" />
            <Button
                android:visibility="gone"
                android:id="@+id/print_block"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Print Block" />

            <!--GEN2 SAMPLE-->
            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:text="EPC GEN2 Sample:"
                android:textColor="@color/colorAccent"
                android:textSize="18dp" />
            <Button
                android:id="@+id/write_rfid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Write Gen2 EPC DATA" />

            <Button
                android:visibility="gone"
                android:id="@+id/write_and_lock_rfid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Write DATA / Write Access PWD then Lock PWD and DATA" />

            <Button
                android:id="@+id/bt_read_uhf"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Read GEN2 EPC Data" />

            <EditText
                android:id="@+id/et_read_uhf"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:clickable="false"
                android:cursorVisible="false"
                android:focusable="false"
                android:hint="GEN2 EPC:"
                android:textSize="18sp" />
            <Button
                android:id="@+id/bt_query_uhf"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:text="Query GEN2 EPC Data" />
            <EditText
                android:id="@+id/et_query_uhf"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:clickable="false"
                android:cursorVisible="false"
                android:focusable="false"
                android:hint="GEN2 EPC:"
                android:textSize="18sp" />
            <!--GJB SAMPLE-->
            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:text="EPC GJB Sample:"
                android:textColor="@color/colorAccent"
                android:textSize="18dp" />

            <Button
                android:id="@+id/set_gjb_status_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Set GJB EPC Status" />

            <Button
                android:id="@+id/write_gjb_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="Write GJB EPC DATA" />

            <Button
                android:id="@+id/read_gjb_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:text="read GJB EPC Data" />

            <EditText
                android:id="@+id/ed_read_gjb"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:clickable="false"
                android:cursorVisible="false"
                android:focusable="false"
                android:hint="GJB EPC:"
                android:textSize="18sp" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/get_printer_status"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp"
                    android:layout_weight="1"
                    android:text="Get Printer Status" />

                <EditText
                    android:id="@+id/printer_status_txt"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp"
                    android:layout_weight="1"
                    android:clickable="false"
                    android:cursorVisible="false"
                    android:focusable="false"
                    android:text="Printer Status : None"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/get_sdk_version"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Get SDK Version" />

                <EditText
                    android:id="@+id/sdk_version_txt"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:clickable="false"
                    android:cursorVisible="false"
                    android:focusable="false"
                    android:text="SDK Version : None"
                    android:textSize="18sp" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</LinearLayout>